# TileHighlightData Struct Reference

## Data Fields
Point | size
Point | outersize
Point | pos
Point | offs
Point | new_pos
Point | new_size
Point | new_outersize
Point | selend
Point | selstart
byte | dirty
byte | sizelimit
HighLightStyle | drawstyle
HighLightStyle | new_drawstyle
HighLightStyle | next_drawstyle
HighLightStyle | place_mode
bool | make_square_red
WindowClass | window_class
WindowNumber | window_number
ViewportPlaceMethod | select_method
ViewportDragDropSelectionProcess | select_proc
TileIndex | redsq

## Detailed Description

Definition at line 45 of file tilehighlight_type.h.

The documentation for this struct was generated from the following file:

- src/tilehighlight_type.h